set(FILETREE_SOURCES
    FileTreePanel.cpp
    FileTreePanel.h
)

add_library(BareCode_FileTree STATIC ${FILETREE_SOURCES})

target_link_libraries(BareCode_FileTree PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
)

target_include_directories(BareCode_FileTree PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/..
)
